import * as plugins from '../plugins.js';
import type { ISmsConfig } from './config/sms.config.js';
export declare class SmsService {
    projectinfo: plugins.projectinfo.ProjectInfo;
    typedrouter: plugins.typedrequest.TypedRouter<import("@api.global/typedrequest-interfaces").ITypedRequest>;
    config: ISmsConfig;
    constructor(options: ISmsConfig);
    /**
     * starts the financeflow instance
     */
    start(): Promise<void>;
    sendSms(toNumber: number, fromName: string, messageText: string): Promise<void>;
    sendVerificationCode(toNumber: number, fromName: string): Promise<number>;
    stop(): Promise<void>;
}
